Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPanel.DockDragHandler.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPanel.DockDragHandler.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPanel.DockDragHandler.cs	(revision 4068)
@@ -243,200 +210,166 @@
 			            PanelFill
 			            });
-                    Region = new Region(Rectangle.Empty);
-                }
-
-                private PaneIndicator m_paneDiamond = null;
-                private PaneIndicator PaneDiamond
-                {
-                    get
-                    {
-                        if (m_paneDiamond == null)
-                            m_paneDiamond = new PaneIndicator();
-
-                        return m_paneDiamond;
-                    }
-                }
-
-                private PanelIndicator m_panelLeft = null;
-                private PanelIndicator PanelLeft
-                {
-                    get
-                    {
-                        if (m_panelLeft == null)
-                            m_panelLeft = new PanelIndicator(DockStyle.Left);
-
-                        return m_panelLeft;
-                    }
-                }
-
-                private PanelIndicator m_panelRight = null;
-                private PanelIndicator PanelRight
-                {
-                    get
-                    {
-                        if (m_panelRight == null)
-                            m_panelRight = new PanelIndicator(DockStyle.Right);
-
-                        return m_panelRight;
-                    }
-                }
-
-                private PanelIndicator m_panelTop = null;
-                private PanelIndicator PanelTop
-                {
-                    get
-                    {
-                        if (m_panelTop == null)
-                            m_panelTop = new PanelIndicator(DockStyle.Top);
-
-                        return m_panelTop;
-                    }
-                }
-
-                private PanelIndicator m_panelBottom = null;
-                private PanelIndicator PanelBottom
-                {
-                    get
-                    {
-                        if (m_panelBottom == null)
-                            m_panelBottom = new PanelIndicator(DockStyle.Bottom);
-
-                        return m_panelBottom;
-                    }
-                }
-
-                private PanelIndicator m_panelFill = null;
-                private PanelIndicator PanelFill
-                {
-                    get
-                    {
-                        if (m_panelFill == null)
-                            m_panelFill = new PanelIndicator(DockStyle.Fill);
-
-                        return m_panelFill;
-                    }
-                }
-
-                private bool m_fullPanelEdge = false;
-                public bool FullPanelEdge
-                {
-                    get { return m_fullPanelEdge; }
-                    set
-                    {
-                        if (m_fullPanelEdge == value)
-                            return;
-
-                        m_fullPanelEdge = value;
-                        RefreshChanges();
-                    }
-                }
-
-                public DockDragHandler DragHandler
-                {
-                    get { return m_dragHandler; }
-                }
-
-                public DockPanel DockPanel
-                {
-                    get { return DragHandler.DockPanel; }
-                }
-
-                private DockPane m_dockPane = null;
-                public DockPane DockPane
-                {
-                    get { return m_dockPane; }
-                    internal set
-                    {
-                        if (m_dockPane == value)
-                            return;
-
-                        DockPane oldDisplayingPane = DisplayingPane;
-                        m_dockPane = value;
-                        if (oldDisplayingPane != DisplayingPane)
-                            RefreshChanges();
-                    }
-                }
-
-                private IHitTest m_hitTest = null;
-                private IHitTest HitTestResult
-                {
-                    get { return m_hitTest; }
-                    set
-                    {
-                        if (m_hitTest == value)
-                            return;
-
-                        if (m_hitTest != null)
-                            m_hitTest.Status = DockStyle.None;
-
-                        m_hitTest = value;
-                    }
-                }
-
-                private DockPane DisplayingPane
-                {
-                    get { return ShouldPaneDiamondVisible() ? DockPane : null; }
-                }
-
-                private void RefreshChanges()
-                {
-                    Region region = new Region(Rectangle.Empty);
-                    Rectangle rectDockArea = FullPanelEdge ? DockPanel.DockArea : DockPanel.DocumentWindowBounds;
-
-                    rectDockArea = RectangleToClient(DockPanel.RectangleToScreen(rectDockArea));
-                    if (ShouldPanelIndicatorVisible(DockState.DockLeft))
-                    {
-                        PanelLeft.Location = new Point(rectDockArea.X + _PanelIndicatorMargin, rectDockArea.Y + (rectDockArea.Height - PanelRight.Height) / 2);
-                        PanelLeft.Visible = true;
-                        region.Union(PanelLeft.Bounds);
-                    }
-                    else
-                        PanelLeft.Visible = false;
-
-                    if (ShouldPanelIndicatorVisible(DockState.DockRight))
-                    {
-                        PanelRight.Location = new Point(rectDockArea.X + rectDockArea.Width - PanelRight.Width - _PanelIndicatorMargin, rectDockArea.Y + (rectDockArea.Height - PanelRight.Height) / 2);
-                        PanelRight.Visible = true;
-                        region.Union(PanelRight.Bounds);
-                    }
-                    else
-                        PanelRight.Visible = false;
-
-                    if (ShouldPanelIndicatorVisible(DockState.DockTop))
-                    {
-                        PanelTop.Location = new Point(rectDockArea.X + (rectDockArea.Width - PanelTop.Width) / 2, rectDockArea.Y + _PanelIndicatorMargin);
-                        PanelTop.Visible = true;
-                        region.Union(PanelTop.Bounds);
-                    }
-                    else
-                        PanelTop.Visible = false;
-
-                    if (ShouldPanelIndicatorVisible(DockState.DockBottom))
-                    {
-                        PanelBottom.Location = new Point(rectDockArea.X + (rectDockArea.Width - PanelBottom.Width) / 2, rectDockArea.Y + rectDockArea.Height - PanelBottom.Height - _PanelIndicatorMargin);
-                        PanelBottom.Visible = true;
-                        region.Union(PanelBottom.Bounds);
-                    }
-                    else
-                        PanelBottom.Visible = false;
-
-                    if (ShouldPanelIndicatorVisible(DockState.Document))
-                    {
-                        Rectangle rectDocumentWindow = RectangleToClient(DockPanel.RectangleToScreen(DockPanel.DocumentWindowBounds));
-                        PanelFill.Location = new Point(rectDocumentWindow.X + (rectDocumentWindow.Width - PanelFill.Width) / 2, rectDocumentWindow.Y + (rectDocumentWindow.Height - PanelFill.Height) / 2);
-                        PanelFill.Visible = true;
-                        region.Union(PanelFill.Bounds);
-                    }
-                    else
-                        PanelFill.Visible = false;
-
-                    if (ShouldPaneDiamondVisible())
-                    {
-                        Rectangle rect = RectangleToClient(DockPane.RectangleToScreen(DockPane.ClientRectangle));
-                        PaneDiamond.Location = new Point(rect.Left + (rect.Width - PaneDiamond.Width) / 2, rect.Top + (rect.Height - PaneDiamond.Height) / 2);
-                        PaneDiamond.Visible = true;
-                        using (GraphicsPath graphicsPath = PaneIndicator.DisplayingGraphicsPath.Clone() as GraphicsPath)
-                        {
-                            Point[] pts = new Point[]
+          Region = new Region(Rectangle.Empty);
+        }
+
+        private PaneIndicator m_paneDiamond = null;
+        private PaneIndicator PaneDiamond {
+          get {
+            if (m_paneDiamond == null)
+              m_paneDiamond = new PaneIndicator();
+
+            return m_paneDiamond;
+          }
+        }
+
+        private PanelIndicator m_panelLeft = null;
+        private PanelIndicator PanelLeft {
+          get {
+            if (m_panelLeft == null)
+              m_panelLeft = new PanelIndicator(DockStyle.Left);
+
+            return m_panelLeft;
+          }
+        }
+
+        private PanelIndicator m_panelRight = null;
+        private PanelIndicator PanelRight {
+          get {
+            if (m_panelRight == null)
+              m_panelRight = new PanelIndicator(DockStyle.Right);
+
+            return m_panelRight;
+          }
+        }
+
+        private PanelIndicator m_panelTop = null;
+        private PanelIndicator PanelTop {
+          get {
+            if (m_panelTop == null)
+              m_panelTop = new PanelIndicator(DockStyle.Top);
+
+            return m_panelTop;
+          }
+        }
+
+        private PanelIndicator m_panelBottom = null;
+        private PanelIndicator PanelBottom {
+          get {
+            if (m_panelBottom == null)
+              m_panelBottom = new PanelIndicator(DockStyle.Bottom);
+
+            return m_panelBottom;
+          }
+        }
+
+        private PanelIndicator m_panelFill = null;
+        private PanelIndicator PanelFill {
+          get {
+            if (m_panelFill == null)
+              m_panelFill = new PanelIndicator(DockStyle.Fill);
+
+            return m_panelFill;
+          }
+        }
+
+        private bool m_fullPanelEdge = false;
+        public bool FullPanelEdge {
+          get { return m_fullPanelEdge; }
+          set {
+            if (m_fullPanelEdge == value)
+              return;
+
+            m_fullPanelEdge = value;
+            RefreshChanges();
+          }
+        }
+
+        public DockDragHandler DragHandler {
+          get { return m_dragHandler; }
+        }
+
+        public DockPanel DockPanel {
+          get { return DragHandler.DockPanel; }
+        }
+
+        private DockPane m_dockPane = null;
+        public DockPane DockPane {
+          get { return m_dockPane; }
+          internal set {
+            if (m_dockPane == value)
+              return;
+
+            DockPane oldDisplayingPane = DisplayingPane;
+            m_dockPane = value;
+            if (oldDisplayingPane != DisplayingPane)
+              RefreshChanges();
+          }
+        }
+
+        private IHitTest m_hitTest = null;
+        private IHitTest HitTestResult {
+          get { return m_hitTest; }
+          set {
+            if (m_hitTest == value)
+              return;
+
+            if (m_hitTest != null)
+              m_hitTest.Status = DockStyle.None;
+
+            m_hitTest = value;
+          }
+        }
+
+        private DockPane DisplayingPane {
+          get { return ShouldPaneDiamondVisible() ? DockPane : null; }
+        }
+
+        private void RefreshChanges() {
+          Region region = new Region(Rectangle.Empty);
+          Rectangle rectDockArea = FullPanelEdge ? DockPanel.DockArea : DockPanel.DocumentWindowBounds;
+
+          rectDockArea = RectangleToClient(DockPanel.RectangleToScreen(rectDockArea));
+          if (ShouldPanelIndicatorVisible(DockState.DockLeft)) {
+            PanelLeft.Location = new Point(rectDockArea.X + _PanelIndicatorMargin, rectDockArea.Y + (rectDockArea.Height - PanelRight.Height) / 2);
+            PanelLeft.Visible = true;
+            region.Union(PanelLeft.Bounds);
+          } else
+            PanelLeft.Visible = false;
+
+          if (ShouldPanelIndicatorVisible(DockState.DockRight)) {
+            PanelRight.Location = new Point(rectDockArea.X + rectDockArea.Width - PanelRight.Width - _PanelIndicatorMargin, rectDockArea.Y + (rectDockArea.Height - PanelRight.Height) / 2);
+            PanelRight.Visible = true;
+            region.Union(PanelRight.Bounds);
+          } else
+            PanelRight.Visible = false;
+
+          if (ShouldPanelIndicatorVisible(DockState.DockTop)) {
+            PanelTop.Location = new Point(rectDockArea.X + (rectDockArea.Width - PanelTop.Width) / 2, rectDockArea.Y + _PanelIndicatorMargin);
+            PanelTop.Visible = true;
+            region.Union(PanelTop.Bounds);
+          } else
+            PanelTop.Visible = false;
+
+          if (ShouldPanelIndicatorVisible(DockState.DockBottom)) {
+            PanelBottom.Location = new Point(rectDockArea.X + (rectDockArea.Width - PanelBottom.Width) / 2, rectDockArea.Y + rectDockArea.Height - PanelBottom.Height - _PanelIndicatorMargin);
+            PanelBottom.Visible = true;
+            region.Union(PanelBottom.Bounds);
+          } else
+            PanelBottom.Visible = false;
+
+          if (ShouldPanelIndicatorVisible(DockState.Document)) {
+            Rectangle rectDocumentWindow = RectangleToClient(DockPanel.RectangleToScreen(DockPanel.DocumentWindowBounds));
+            PanelFill.Location = new Point(rectDocumentWindow.X + (rectDocumentWindow.Width - PanelFill.Width) / 2, rectDocumentWindow.Y + (rectDocumentWindow.Height - PanelFill.Height) / 2);
+            PanelFill.Visible = true;
+            region.Union(PanelFill.Bounds);
+          } else
+            PanelFill.Visible = false;
+
+          if (ShouldPaneDiamondVisible()) {
+            Rectangle rect = RectangleToClient(DockPane.RectangleToScreen(DockPane.ClientRectangle));
+            PaneDiamond.Location = new Point(rect.Left + (rect.Width - PaneDiamond.Width) / 2, rect.Top + (rect.Height - PaneDiamond.Height) / 2);
+            PaneDiamond.Visible = true;
+            using (GraphicsPath graphicsPath = PaneIndicator.DisplayingGraphicsPath.Clone() as GraphicsPath) {
+              Point[] pts = new Point[]
 						{
 							new Point(PaneDiamond.Left, PaneDiamond.Top),
